Download cleaned TM
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/transMemories/downloadCleaned/{asyncRequestId} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/downloadCleaned/{asyncRequestId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/downloadCleaned/{asyncRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Translation Memory
Download cleaned TM
Downloads the ZIP archive produced by extractCleaned. Returns 403 Forbidden when the extract-cleaned feature is not enabled for the organisation. The asyncRequest must be in a completed state.
GET
/
api2
/
v1
/
transMemories
/
downloadCleaned
/
{asyncRequestId}
Download cleaned TM
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Async request ID returned by extractCleaned
Response
OK
Was this page helpful?
⌘I